Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class IndexDocumentsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.search.SearchBaseException
                      com.google.appengine.api.search.IndexDocumentsException

All Implemented Interfaces:
  java.io.Serializable

    public class IndexDocumentsException

extends SearchBaseException

Thrown to indicate that a search service failure occurred while indexing documents.

See Also:
  Serialized Form

Constructor Summary
`IndexDocumentsException(OperationResult operationResult)` Constructs an exception when some error occurred in the search service when indexing some documents.
`IndexDocumentsException(OperationResult operationResult, java.util.List<OperationResult> results, java.util.List<java.lang.String> documentIds)` Constructs an exception when some error occurred in the search service when indexing some documents.

Method Summary
`java.util.List<java.lang.String>` | `getDocumentIds()`
`java.util.List<OperationResult>` | `getResults()`

Methods inherited from class com.google.appengine.api.search.SearchBaseException
`getOperationResult`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexDocumentsException

    public IndexDocumentsException(OperationResult operationResult)

  Constructs an exception when some error occurred in the search service when indexing some documents.

  Parameters:
    `operationResult` - the error code and message detail associated with the failure

### IndexDocumentsException

    public IndexDocumentsException(OperationResult operationResult,
                                   java.util.List<OperationResult> results,
                                   java.util.List<java.lang.String> documentIds)

  Constructs an exception when some error occurred in the search service when indexing some documents.

  Parameters:
    `operationResult` - the error code and message detail associated with the failure
    `results` - the list of `OperationResult` where each result is associated with a document that was requested to be indexed
    `documentIds` - the list of Ids of `Document` requested to be indexed. The search service may provide an Id if none was given for a Document

Method Detail

### getResults

    public java.util.List<OperationResult> getResults()

  Returns:
    the list of `OperationResult` where each result is associated with a document that was requested to be indexed

### getDocumentIds

    public java.util.List<java.lang.String> getDocumentIds()

  Returns:
    the list of Ids of documents that were requested to be indexed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD